#Set working directory
#workdir <-"C:/Users/"
setwd(workdir)

##****************THRESHOLD EXPERIMENT DATA************************************
threshold.data <-read.csv('Threshold_data.csv', header = TRUE)
head(threshold.data)

##****two-way ANOVA**************
th.anova<-lm(NormalizedExp~Treatment + Size, data=threshold.data)
summary(th.anova)
anova(th.anova)

##*********Plot Fig. 5 mean normalized and SE threshold data*****************
library(Hmisc) #for errorbars
#first calculate mean, sd, and count
th.mean<-tapply(threshold.data$NormalizedExp,threshold.data$Treatment, mean)
th.sd<-tapply(threshold.data$NormalizedExp,threshold.data$Treatment, sd)
th.count<-tapply(threshold.data$NormalizedExp,threshold.data$Treatment, length)
#calculate SE
th.se<-th.sd/(sqrt(th.count))
#Bind mean and SE for plotting
threshold.plot<-cbind(th.mean,th.se)
threshold.plot
#Data was exported and relative expression and SE were claculated

##Upload plot data
th.plot <-read.csv('Mean_threshold_plot.csv', header = TRUE)
head(th.plot )

yplus<-th.plot$Relative+th.plot$RelativeSE
yminus<-th.plot$Relative

barx<-barplot(th.plot$Relative, las=1, ylab="Relative HIF-1a mRNA Expression",
  ylim=c(0,3),cex.lab=1.1, cex.axis=1.11,col="gray",  axis.lty=1,
  names.arg=c("Control","Moderate","Hypoxia"), 
  cex=1.1)
errbar(barx,th.plot$Relative, yplus,yminus, type='n', add=T)

