#Set working directory
#workdir <-"C:/Users/"
setwd(workdir)

##*****TIME-COURSE DATA**********************************************************
timecourse.data <-read.csv('TimeCourse_data.csv', header = TRUE)
head(timecourse.data)

##*****two-way ANOVA********************************
tc.anova<-lm(NormalizedExp~TimeStep + Size, data=timecourse.data)
summary(tc.anova)
anova(tc.anova)

##*********Plot Fig. 6 mean normalized and SE threshold data*****************
library(Hmisc) #for errorbars
#first calculate mean, sd, and count
tc.mean<-tapply(timecourse.data$NormalizedExp,timecourse.data$TimeStep, mean)
tc.sd<-tapply(timecourse.data$NormalizedExp,timecourse.data$TimeStep, sd)
tc.count<-tapply(timecourse.data$NormalizedExp,timecourse.data$TimeStep, length)
#calculate SE
tc.se<-tc.sd/(sqrt(tc.count))
#Bind mean and SE for plotting
timecourse.plot<-cbind(tc.mean,tc.se)
timecourse.plot
#Data was exported and relative expression and SE were claculated

##Upload plot data
tc.plot <-read.csv('Mean_timecourse_plot.csv', header = TRUE)
head(tc.plot)

yplus<-tc.plot$Relative+tc.plot$RelativeSE
yminus<-tc.plot$Relative

barx<-barplot(tc.plot$Relative, las=1, ylab="Relative HIF-1a mRNA Expression", xlab="Post-Acclimation Time",
  ylim=c(0,6),cex.lab=1.1, cex.axis=1.11,col=c(rep("gray",7),rep("gray90",2),"white"),  axis.lty=1,
  names.arg=c("0hr","30min","1hr","2hr","4hr", "8hr","16hr","12hr", "24hr","Control"), 
  cex=1.1)
errbar(barx,tc.plot$Relative, yplus,yminus, type='n', add=T)
abline(v=8.5, lty=2, lwd=2) #9.7 with control from threshold
legend("topleft",legend=c("Control","Hypoxia", "Recovery"), pch=15, col=c("white","gray","gray90"), bty='n')
legend("topleft",legend=c("Control","Hypoxia", "Recovery"), pch=0, bty='n') 
    
                                                       