#Set working directory
#workdir <-"C:/Users/"
setwd(workdir)

##*******qPCR FIELD DATA********************************************************
field.data <-read.csv('All_field_qPCR.csv', header = TRUE)
head(field.data)

##****Generalized linear models************************************
library(lme4)
#Year model
yr.mod<- glm(Elevated ~ factor(Year) + Site + Size + TrawlDepth, family=binomial(link = "logit"), data=field.data)
summary(yr.mod)
anova(yr.mod, test="Chisq")

#2012 month model
field12<-subset(field.data, field.data$Year==2012)
m12.mod<- glm(Elevated ~ factor(Month) + Site + Size + TrawlDepth, family=binomial(link = "logit"), data=field12)
summary(m12.mod)
anova(m12.mod, test="Chisq")

#2013 month model
field13<-subset(field.data, field.data$Year==2013)
m13.mod<- glm(Elevated ~ factor(Month) + Site + Size + TrawlDepth, family=binomial(link = "logit"), data=field13)
summary(m13.mod)
anova(m13.mod, test="Chisq")
